import { AnnotationBase } from "../Annotations/AnnotationTypes";
import { SaveSettings } from "../Models/ViewerTypes";
import { DocumentModification, OpenDocumentInfo } from "./types";
export interface ISupportApiBase {
    clientId: string;
    docInfo: OpenDocumentInfo;
    documentId: string;
    isDocumentShared: boolean;
    isConnected: boolean;
    applyOptions(options: any): void;
    canEditAnnotation(annotation?: AnnotationBase | null): boolean;
    close(): Promise<string>;
    connect(lazy?: boolean): Promise<boolean>;
    dispose(): any;
    getLastError(): Promise<string>;
    modify(documentModification: DocumentModification, correlationId: string): Promise<string>;
    openBinary(data: Uint8Array): Promise<void>;
    serverVersion(): Promise<string>;
    setOptions(saveSettings: SaveSettings | undefined, correlationId: string): Promise<string>;
    verifySignature(fieldName: string): Promise<boolean>;
}
